%global oname GMetrics

Name:          gmetrics
Version:       0.6
Release:       %mkrel 16
Group:         Development/Java
Summary:       Groovy library that provides reports and metrics for Groovy code
License:       ASL 2.0
Url:           http://gmetrics.sourceforge.net/
Source0:       http://downloads.sourceforge.net/project/%{name}/%{name}-%{version}/%{oname}-%{version}-bin.tar.gz
# use antrun-plugin instead of gmaven
# fix log4j groovy version
# rebase for groovy 2
Patch0:        gmetrics-0.6-antrunplugin.patch
Patch1:        gmetrics-0.6-groovy2.patch

BuildRequires: maven-local
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.apache.ant:ant)
BuildRequires: mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.codehaus.groovy:groovy-all)
BuildRequires: mvn(org.fusesource:fusesource-pom:pom:)
# groovy-all embedded libs
BuildRequires: mvn(antlr:antlr)
BuildRequires: mvn(org.ow2.asm:asm-all)
BuildRequires: mvn(commons-cli:commons-cli)
BuildRequires: mvn(org.slf4j:slf4j-nop)

BuildArch:     noarch

%description
GMetrics provides calculation and reporting of size and
complexity metrics for Groovy source code, by scanning the
code with an Ant Task, applying a set of metrics, and
generating an HTML or XML report of the results.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-%{version}

# clean up
find . -name "*.jar" -delete
find . -name "*.class" -delete
rm -rf docs/*
%patch0 -p0
%patch1 -p1

%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :gmaven-plugin
%pom_remove_dep :CodeNarc

sed -i "s|pom.version|project.version|" pom.xml

chmod 644 README.txt

for d in CHANGELOG.txt LICENSE.txt NOTICE.txt README.txt ; do
  sed -i 's/\r//' $d
done

%mvn_file :%{oname} %{name} %{oname}

%build

# test skipped require Codenarc, circular deps
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc CHANGELOG.txt README.txt
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 0.6-16.mga6
+ Revision: 982408
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0.6-15.mga6
+ Revision: 976252
- First rebuild of the java stack
- sync package gmetrics with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6-8.mga5
+ Revision: 743223
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 dmorgan <dmorgan> 0.6-6.mga5
+ Revision: 641048
- use objectweb-asm3

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Thu Sep 26 2013 dmorgan <dmorgan> 0.6-4.mga4
+ Revision: 486647
- Build with xmvn

* Sat Jul 13 2013 dmorgan <dmorgan> 0.6-3.mga4
+ Revision: 453822
- Fix build

* Sat Jan 12 2013 umeabot <umeabot> 0.6-2.mga3
+ Revision: 351860
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 0.6-1.mga3
+ Revision: 325765
- New version 0.6

* Mon Jan 09 2012 gil <gil> 0.3-3.mga2
+ Revision: 193588
- used %%{buildroot} instead of RPM_BUILD_ROOT
- fixed artifacts installation
- rebuilt with gmaven support
  used proper groovy version 1.6.x
  added  maven pom

* Fri Nov 04 2011 dmorgan <dmorgan> 0.3-2.mga2
+ Revision: 162659
- Requires asm3

* Fri Nov 04 2011 dmorgan <dmorgan> 0.3-1.mga2
+ Revision: 162605
- Adapt CLASSPATH
- Clean spec file

  + gil <gil>
    - imported package gmetrics

